<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_RelPaxDist StructType
 * @subpackage Structs
 */
class JP_RelPaxDist extends AbstractStructBase
{
    /**
     * The RelPaxes
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_RelPax
     */
    public $RelPaxes;
    /**
     * Constructor method for JP_RelPaxDist
     * @uses JP_RelPaxDist::setRelPaxes()
     * @param \ArrayType\ArrayOfJP_RelPax $relPaxes
     */
    public function __construct(\ArrayType\ArrayOfJP_RelPax $relPaxes = null)
    {
        $this
            ->setRelPaxes($relPaxes);
    }
    /**
     * Get RelPaxes value
     * @return \ArrayType\ArrayOfJP_RelPax|null
     */
    public function getRelPaxes()
    {
        return $this->RelPaxes;
    }
    /**
     * Set RelPaxes value
     * @param \ArrayType\ArrayOfJP_RelPax $relPaxes
     * @return \StructType\JP_RelPaxDist
     */
    public function setRelPaxes(\ArrayType\ArrayOfJP_RelPax $relPaxes = null)
    {
        $this->RelPaxes = $relPaxes;
        return $this;
    }
}
